<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.integtationTask.dao.impl.IntegrationTaskDaoImpl">

    <resultMap id="get-IntegrationTaskEntity-result"
               type="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        <result property="id" column="id" jdbcType="VARCHAR"/>
        <result property="taskCode" column="task_code" jdbcType="VARCHAR"/>
        <result property="taskName" column="task_name" jdbcType="VARCHAR"/>
        <result property="taskCron" column="task_cron" jdbcType="VARCHAR"/>
        <result property="taskStatus" column="task_status" jdbcType="VARCHAR"/>
        <result property="taskApp" column="task_app" jdbcType="VARCHAR"/>
        <result property="taskPlugin" column="task_plugin" jdbcType="VARCHAR"/>
        <result property="funInfo" column="fun_info" jdbcType="VARCHAR"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
        <result property="sorts" column="sorts" jdbcType="INTEGER"/>
        <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
        <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
        <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
        <result property="sts" column="sts" jdbcType="VARCHAR"/>
        <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
        <result property="companyId" column="company_id" jdbcType="VARCHAR"/>
    </resultMap>
    <!-- 查询的字段-->
    <sql id="IntegrationTaskEntity_Base_Column_List">
        id
       ,task_code 
        ,task_name 
        ,task_cron 
        ,task_status 
        ,task_app 
        ,task_plugin 
        ,fun_info 
        ,remark 
        ,sorts
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
        ,company_id 
     </sql>
    <!-- 查询 采用==查询 -->
    <select id="entity_list_base" resultMap="get-IntegrationTaskEntity-result"
            parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        select
        <include refid="IntegrationTaskEntity_Base_Column_List"/>
        from integration_task
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="taskCode != null and taskCode != ''">and task_code = #{taskCode}</if>
            <if test="taskName != null and taskName != ''">and task_name = #{taskName}</if>
            <if test="taskCron != null and taskCron != ''">and task_cron = #{taskCron}</if>
            <if test="taskStatus != null and taskStatus != ''">and task_status = #{taskStatus}</if>
            <if test="taskApp != null and taskApp != ''">and task_app = #{taskApp}</if>
            <if test="taskPlugin != null and taskPlugin != ''">and task_plugin = #{taskPlugin}</if>
            <if test="funInfo != null and funInfo != ''">and fun_info = #{funInfo}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>
    <!--通过ID获取数据 -->
    <select id="entity_get" resultMap="get-IntegrationTaskEntity-result">
        select
        <include refid="IntegrationTaskEntity_Base_Column_List"/>
        from integration_task where id = #{id} and sts = 'Y'
    </select>
    <!-- 查询符合条件的数量 -->
    <select id="entity_count" resultType="Integer"
            parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        select count(1) from integration_task
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="taskCode != null and taskCode != ''">and task_code = #{taskCode}</if>
            <if test="taskName != null and taskName != ''">and task_name = #{taskName}</if>
            <if test="taskCron != null and taskCron != ''">and task_cron = #{taskCron}</if>
            <if test="taskStatus != null and taskStatus != ''">and task_status = #{taskStatus}</if>
            <if test="taskApp != null and taskApp != ''">and task_app = #{taskApp}</if>
            <if test="taskPlugin != null and taskPlugin != ''">and task_plugin = #{taskPlugin}</if>
            <if test="funInfo != null and funInfo != ''">and fun_info = #{funInfo}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
    </select>

    <!-- 分页查询列表 采用like格式 -->
    <select id="entity_list_like" resultMap="get-IntegrationTaskEntity-result"
            parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        select
        <include refid="IntegrationTaskEntity_Base_Column_List"/>
        from integration_task
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id like concat('%',#{id},'%')</if>
            <if test="taskCode != null and taskCode != ''">and task_code like concat('%',#{taskCode},'%')</if>
            <if test="taskName != null and taskName != ''">and task_name like concat('%',#{taskName},'%')</if>
            <if test="taskCron != null and taskCron != ''">and task_cron like concat('%',#{taskCron},'%')</if>
            <if test="taskStatus != null and taskStatus != ''">and task_status like concat('%',#{taskStatus},'%')</if>
            <if test="taskApp != null and taskApp != ''">and task_app like concat('%',#{taskApp},'%')</if>
            <if test="taskPlugin != null and taskPlugin != ''">and task_plugin like concat('%',#{taskPlugin},'%')</if>
            <if test="funInfo != null and funInfo != ''">and fun_info like concat('%',#{funInfo},'%')</if>
            <if test="remark != null and remark != ''">and remark like concat('%',#{remark},'%')</if>
            <if test="sorts != null">and sorts like concat('%',#{sorts},'%')</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id like
                concat('%',#{create_user_id},'%')
            </if>
            <if test="create_time != null">and create_time like concat('%',#{create_time},'%')</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id like
                concat('%',#{modify_user_id},'%')
            </if>
            <if test="modify_time != null">and modify_time like concat('%',#{modify_time},'%')</if>
            <if test="sts != null and sts != ''">and sts like concat('%',#{sts},'%')</if>
            <if test="org_id != null and org_id != ''">and org_id like concat('%',#{org_id},'%')</if>
            <if test="companyId != null and companyId != ''">and company_id like concat('%',#{companyId},'%')</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询列表 字段采用or格式 -->
    <select id="IntegrationTaskentity_list_or" resultMap="get-IntegrationTaskEntity-result"
            parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        select
        <include refid="IntegrationTaskEntity_Base_Column_List"/>
        from integration_task
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">or id = #{id}</if>
            <if test="taskCode != null and taskCode != ''">or task_code = #{taskCode}</if>
            <if test="taskName != null and taskName != ''">or task_name = #{taskName}</if>
            <if test="taskCron != null and taskCron != ''">or task_cron = #{taskCron}</if>
            <if test="taskStatus != null and taskStatus != ''">or task_status = #{taskStatus}</if>
            <if test="taskApp != null and taskApp != ''">or task_app = #{taskApp}</if>
            <if test="taskPlugin != null and taskPlugin != ''">or task_plugin = #{taskPlugin}</if>
            <if test="funInfo != null and funInfo != ''">or fun_info = #{funInfo}</if>
            <if test="remark != null and remark != ''">or remark = #{remark}</if>
            <if test="sorts != null">or sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">or create_user_id = #{create_user_id}</if>
            <if test="create_time != null">or create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">or modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">or modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">or sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">or org_id = #{org_id}</if>
            <if test="companyId != null and companyId != ''">or company_id = #{companyId}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString()  ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!--新增所有列-->
    <insert id="entity_insert" parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        insert into integration_task(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">id ,</if>
            <if test="taskCode != null and taskCode != ''">task_code ,</if>
            <if test="taskName != null and taskName != ''">task_name ,</if>
            <if test="taskCron != null and taskCron != ''">task_cron ,</if>
            <if test="taskStatus != null and taskStatus != ''">task_status ,</if>
            <if test="taskApp != null and taskApp != ''">task_app ,</if>
            <if test="taskPlugin != null and taskPlugin != ''">task_plugin ,</if>
            <if test="funInfo != null and funInfo != ''">fun_info ,</if>
            <if test="remark != null and remark != ''">remark ,</if>
            <if test="sorts != null">sorts ,</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id ,</if>
            <if test="create_time != null">create_time ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id ,</if>
            <if test="modify_time != null">modify_time ,</if>
            <if test="sts != null and sts != ''">sts ,</if>
            <if test="org_id != null and org_id != ''">org_id ,</if>
            <if test="companyId != null and companyId != ''">company_id ,</if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">#{id} ,</if>
            <if test="taskCode != null and taskCode != ''">#{taskCode} ,</if>
            <if test="taskName != null and taskName != ''">#{taskName} ,</if>
            <if test="taskCron != null and taskCron != ''">#{taskCron} ,</if>
            <if test="taskStatus != null and taskStatus != ''">#{taskStatus} ,</if>
            <if test="taskApp != null and taskApp != ''">#{taskApp} ,</if>
            <if test="taskPlugin != null and taskPlugin != ''">#{taskPlugin} ,</if>
            <if test="funInfo != null and funInfo != ''">#{funInfo} ,</if>
            <if test="remark != null and remark != ''">#{remark} ,</if>
            <if test="sorts != null">#{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''">#{create_user_id} ,</if>
            <if test="create_time != null">#{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">#{modify_user_id} ,</if>
            <if test="modify_time != null">#{modify_time} ,</if>
            <if test="sts != null and sts != ''">#{sts} ,</if>
            <if test="org_id != null and org_id != ''">#{org_id} ,</if>
            <if test="companyId != null and companyId != ''">#{companyId} ,</if>

            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>
    <!-- 批量新增 -->
    <insert id="entityInsertBatch">
        insert into integration_task(task_code, task_name, task_cron, task_status, task_app, task_plugin, fun_info,
        remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, sts)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.taskCode},#{entity.taskName},#{entity.taskCron},#{entity.taskStatus},#{entity.taskApp},#{entity.taskPlugin},#{entity.funInfo},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},
            'Y')
        </foreach>
    </insert>
    <!-- 批量新增或者修改-->
    <insert id="entityInsertOrUpdateBatch">
        insert into integration_task(task_code, task_name, task_cron, task_status, task_app, task_plugin, fun_info,
        remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.taskCode},#{entity.taskName},#{entity.taskCron},#{entity.taskStatus},#{entity.taskApp},#{entity.taskPlugin},#{entity.funInfo},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId})
        </foreach>
        on duplicate key update
        task_code = values(task_code),
        task_name = values(task_name),
        task_cron = values(task_cron),
        task_status = values(task_status),
        task_app = values(task_app),
        task_plugin = values(task_plugin),
        fun_info = values(fun_info),
        remark = values(remark),
        sorts = values(sorts),
        create_user_id = values(create_user_id),
        create_time = values(create_time),
        modify_user_id = values(modify_user_id),
        modify_time = values(modify_time),
        sts = values(sts),
        org_id = values(org_id),
        company_id = values(company_id)
    </insert>
    <!--通过主键修改方法-->
    <update id="entity_update" parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        update integration_task set
        <trim suffix="" suffixOverrides=",">
            <if test="taskCode != null and taskCode != ''">task_code = #{taskCode},</if>
            <if test="taskName != null and taskName != ''">task_name = #{taskName},</if>
            <if test="taskCron != null and taskCron != ''">task_cron = #{taskCron},</if>
            <if test="taskStatus != null and taskStatus != ''">task_status = #{taskStatus},</if>
            <if test="taskApp != null and taskApp != ''">task_app = #{taskApp},</if>
            <if test="taskPlugin != null and taskPlugin != ''">task_plugin = #{taskPlugin},</if>
            <if test="funInfo != null and funInfo != ''">fun_info = #{funInfo},</if>
            <if test="remark != null and remark != ''">remark = #{remark},</if>
            <if test="sorts != null">sorts = #{sorts},</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id = #{create_user_id},</if>
            <if test="create_time != null">create_time = #{create_time},</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id = #{modify_user_id},</if>
            <if test="modify_time != null">modify_time = #{modify_time},</if>
            <if test="sts != null and sts != ''">sts = #{sts},</if>
            <if test="org_id != null and org_id != ''">org_id = #{org_id},</if>
            <if test="companyId != null and companyId != ''">company_id = #{companyId},</if>
        </trim>
        where id = #{id}
    </update>
    <!-- 逻辑删除 -->
    <update id="entity_logicDelete" parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
update integration_task  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
    <!-- 多条件逻辑删除 -->
    <update id="entity_logicDelete_Multi_Condition"
            parameterType="com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity">
        update integration_task set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="taskCode != null and taskCode != ''">and task_code = #{taskCode}</if>
            <if test="taskName != null and taskName != ''">and task_name = #{taskName}</if>
            <if test="taskCron != null and taskCron != ''">and task_cron = #{taskCron}</if>
            <if test="taskStatus != null and taskStatus != ''">and task_status = #{taskStatus}</if>
            <if test="taskApp != null and taskApp != ''">and task_app = #{taskApp}</if>
            <if test="taskPlugin != null and taskPlugin != ''">and task_plugin = #{taskPlugin}</if>
            <if test="funInfo != null and funInfo != ''">and fun_info = #{funInfo}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="companyId != null and companyId != ''">and company_id = #{companyId}</if>
            and sts='Y'
        </trim>
    </update>
    <!--通过主键删除-->
    <delete id="entity_delete">
    delete from integration_task where id = #{id}
</delete>
    <!--查询最大编码+1-->
    <select id="IntegrationTaskEntity_maxCode" resultMap="get-IntegrationTaskEntity-result">
		select
			case when
					 length(ifnull(max(right(task_code,4)), 0)+1)=2 then
					 concat(concat(replace(DATE_FORMAT(now(),'%Y-%m-%d'),'-',''),'-','00'),ifnull(max(right(task_code,4)), 0)+1)
				 when
					 length(ifnull(max(right(task_code,4)), 0)+1)=1 then
					 concat(concat(replace(DATE_FORMAT(now(),'%Y-%m-%d'),'-',''),'-','000'),ifnull(max(right(task_code,4)), 0)+1)
				 when
					 length(ifnull(max(right(task_code,4)), 0)+1)=3 then
					 concat(concat(replace(DATE_FORMAT(now(),'%Y-%m-%d'),'-',''),'-','0'),ifnull(max(right(task_code,4)), 0)+1)
				 else
					 concat(replace(replace(DATE_FORMAT(now(),'%Y-%m-%d'),'-',''),'-',ifnull(max(right(task_code,4)), 0)+1)) end as task_code
		from integration_task where sts='Y' and task_code like concat('%',substring(replace(DATE_FORMAT(now(),'%Y-%m-%d'),'-',''),1,10),'%')
	</select>
</mapper>

